commit:     41f084dfe7514327be9d4c60ec8a6e936663417a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 23 19:54:08 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 23 20:12:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41f084df

dev-python/django-otp: Bump to 1.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-otp/Manifest                |  1 +
 dev-python/django-otp/django-otp-1.0.2.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 649a07a9b88..9e39b625c6b 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1 +1,2 @@
 DIST django-otp-1.0.1.gh.tar.gz 66717 BLAKE2B 
6eb24baf21667af5fe5200a91d320884b1fa37b78def9b543b3411f75de97226d0f40ce53f06391d7cfc9f5ad4020a14e472f9a1abe89844778ef69a2f3b5b72
 SHA512 
981d374ed4dacf3edd33dc1437465de7458ec243e1ace0b87425ec2b01a51fe4cee3545d1bbe53d7c924c5981b76f7ca77b5da2cf5d6f170f2f7435cff991337
+DIST django-otp-1.0.2.gh.tar.gz 66885 BLAKE2B 
be98b68f0aa5df25835afa28a23d25e0353dc2d556e62bdf1610a44a409a8e48422e17f274b21eb7cbd421cc4a25a35d01e5d7b3bd99d9caec8c8060da26f57a
 SHA512 
6fe7f79858bdf362dd35e1aeb87c086edd5daf17d4429fc4cb39f3d287ee4c7cf8fb2d6d8f6a7d1b4606104d6732a705b9285f9fec93e4e7c7ca3f3f52541ddd

diff --git a/dev-python/django-otp/django-otp-1.0.2.ebuild 
b/dev-python/django-otp/django-otp-1.0.2.ebuild
new file mode 100644
index 00000000000..3c7f80d1650
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time 
passwords"
+HOMEPAGE="https://github.com/django-otp/django-otp/";
+SRC_URI="
+       https://github.com/django-otp/django-otp/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/qrcode[${PYTHON_USEDEP}]
+               ${RDEPEND}
+       )"
+
+python_test() {
+       local -x PYTHONPATH=test:${PYTHONPATH}
+       local -x DJANGO_SETTINGS_MODULE=test_project.settings
+       django-admin test -v 2 django_otp || die "Tests fail with ${EPYTHON}"
+}

Reply via email to